Bug 853415 - firstboot isn't installed and run during first boot
firstboot isn't installed and run during first boot
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
: 853557 (view as bug list)
Depends On:
Blocks: F18Alpha/F18AlphaBlocker
  Show dependency treegraph
Reported: 2012-08-31 09:07 EDT by Petr Schindler
Modified: 2014-03-16 23:32 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-12 15:42:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2012-08-31 09:07:36 EDT
Description of problem:
firstboot isn't installed and run during first boot - so no user is created. There is no user which could be used after system start (if user didn't set root password).

This happens with Gnome desktop installation.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot, choose language
2. choose some mirror in installation source
3. choose Gnome desktop in software selection
4. choose default disk layout
5. continue to the installation
6. reboot
Actual results:
firstboot doesn't run and it is no installed

Expected results:
firstboot is installed and run during first boot

Additional info:
I propose this bug as alpha blocker due to criterion:
'In most cases (see Blocker_Bug_FAQ), a system installed according to any of the above criteria (or the appropriate Beta or Final criteria, when applying this criterion to those releases) must boot to the 'firstboot' utility on the first boot after installation, without unintended user intervention, unless the user explicitly chooses to boot in non-graphical mode. This includes correctly accessing any encrypted partitions when the correct passphrase is supplied. The firstboot utility must be able to create a working user account'
Comment 1 Chris Lumens 2012-08-31 10:13:40 EDT
firstboot is part of the base-x group, which does not appear to be listed in the grouplist for any environment in comps.  I think that's where this needs to be fixed.  anaconda never selected firstboot in the past.
Comment 2 Bill Nottingham 2012-08-31 12:37:59 EDT
Fixed in comps.
Comment 3 Bill Nottingham 2012-08-31 17:02:23 EDT
*** Bug 853557 has been marked as a duplicate of this bug. ***
Comment 4 Adam Williamson 2012-08-31 19:07:39 EDT
+1 blocker per criterion cited in report.
Comment 5 Jóhann B. Guðmundsson 2012-09-01 13:46:57 EDT
Still present on TC-5
Comment 6 Adam Williamson 2012-09-04 15:48:42 EDT
johann: TC5 was built before the comps change had propagated (it takes several hours after a change to comps before a compose will reflect it), as dennis didn't have time to wait before doing the compose. next compose will have the fix.
Comment 7 Adam Williamson 2012-09-05 12:25:41 EDT
Discussed at 2012-09-05 blocker review meeting. Accepted as a blocker per criterion cited in original report.
Comment 8 Kamil Páral 2012-09-07 07:18:21 EDT
Due to bug 855310 I can't really check whether this is fixed in Alpha TC6.
Comment 9 Dan Mashal 2012-09-07 21:28:09 EDT
This is fixed at least on pretc7-1 netinstall. Will test with DVD
Comment 10 Kamil Páral 2012-09-11 14:49:42 EDT
This is fixed with F18 Alpha RC2.
Comment 11 Adam Williamson 2012-09-12 15:42:39 EDT
Then it can be closed, since it was a comps bug - no update to push.

Note You need to log in before you can comment on or make changes to this bug.